io.vertx.amqp

## Class AmqpSenderOptions

- java.lang.Object
- - io.vertx.amqp.AmqpSenderOptions

-     public class AmqpSenderOptions
      extends Object

  Configures the AMQP Receiver.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmqpSenderOptions()`
    `AmqpSenderOptions(AmqpSenderOptions other)`
    `AmqpSenderOptions(JsonObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLinkName()`
    `boolean` | `isAutoDrained()` Get whether the link will automatically be marked drained after the send queue drain handler fires in drain mode.
    `boolean` | `isDynamic()`
    `AmqpSenderOptions` | `setAutoDrained(boolean autoDrained)` Sets whether the link is automatically marked drained after the send queue drain handler callback returns if the receiving peer requested that credit be drained.
    `AmqpSenderOptions` | `setDynamic(boolean dynamic)` Sets whether the link remote terminus to be used should indicate it is 'dynamic', requesting the peer names it with a dynamic address.
    `AmqpSenderOptions` | `setLinkName(String linkName)`
    `JsonObject` | `toJson()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AmqpSenderOptions

          public AmqpSenderOptions()

    - #### AmqpSenderOptions

          public AmqpSenderOptions(AmqpSenderOptions other)

    - #### AmqpSenderOptions

          public AmqpSenderOptions(JsonObject json)

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

    - #### getLinkName

          public String getLinkName()

    - #### setLinkName

          public AmqpSenderOptions setLinkName(String linkName)

    - #### isDynamic

          public boolean isDynamic()

      Returns:
        whether the receiver is using a dynamic address.

    - #### setDynamic

          public AmqpSenderOptions setDynamic(boolean dynamic)

      Sets whether the link remote terminus to be used should indicate it is 'dynamic', requesting the peer names it with a dynamic address.

      The address provided by the peer can then be inspected using the `AmqpSender.address()` method on the `AmqpSender` received once opened.

      Parameters:
        `dynamic` - true if the link should request a dynamic terminus address
      Returns:
        the options

    - #### isAutoDrained

          public boolean isAutoDrained()

      Get whether the link will automatically be marked drained after the send queue drain handler fires in drain mode.
      Returns:
        whether the link will automatically be drained after the send queue drain handler fires in drain mode
      See Also:
        `setAutoDrained(boolean)`

    - #### setAutoDrained

          public AmqpSenderOptions setAutoDrained(boolean autoDrained)

      Sets whether the link is automatically marked drained after the send queue drain handler callback returns if the receiving peer requested that credit be drained.

      `true` by default.

      Parameters:
        `autoDrained` - whether the link will automatically be drained after the send queue drain handler fires in drain mode
      Returns:
        the options

Copyright © 2019 Eclipse. All rights reserved.